;=================================================================================================
;=================================================================================================
;===================================   Configuracion Jugadores   =================================
;===================================    Mapa creado por AROKH    =================================
;=================================================================================================
;=================================================================================================

Object ElvenCitadel
	CommandSet = AROKHElvenFortressCommandSet
End

Object ElvenFortressExpansionPadCorner
	CommandSet = AROKHElvenFortressExpansionPadCornerCommandSet
End

Object GondorBuildingFoundation
	CommandSet = AROKHGondorFoundationCommandSet
End

Object RohanBuildingFoundation
	CommandSet = AROKHRohanFoundationCommandSet
End

Object ElvenBuildingFoundation
	CommandSet = AROKHElvenFoundationCommandSet
End

Object ElvenGlorfindel

	LocomotorSet
		Locomotor = HeroHumanLocomotor
		Condition = SET_NORMAL 
		Speed     = 100
	End
	  
	LocomotorSet
		Locomotor = HeroHorseLocomotor
		Condition = SET_MOUNTED 
		Speed     = 200
	End

	RemoveModule DustEffects

	AddModule 
	
	Draw = W3DScriptedModelDraw AROKH_DustEffects
	    DefaultModelConditionState
	      Model = None
	    End
	    IdleAnimationState
	    End
	    AnimationState = MOUNTED MOVING WADING
			ParticleSysBone = None FootstepSlash
	    End
	    AnimationState = MOUNTED MOVING ACCELERATE
			ParticleSysBone = None GenericSiegeTrailDust
	    End
	    AnimationState = MOUNTED MOVING DECELERATE
			ParticleSysBone = None GenericSiegeTrailDust
	    End
	    AnimationState = MOUNTED MOVING
	    End
	End

	End
	
	RemoveModule ModuleTag_RespawnBody

	AddModule

	Body = RespawnBody AROKH_ModuleTag_RespawnBody
		MaxHealth					= 2800  ;BALANCE Glorfindel Health
		PermanentlyKilledByFilter	= NONE		;Who kills me permanently?
   		DodgePercent				= HERO_DODGE_PERCENT
	End

	End

End

Object ElvenHaldir

	LocomotorSet
		Locomotor							= HumanLocomotor
		Condition							= SET_NORMAL 
		Speed								= 120
	End

	RemoveModule ModuleTag_RespawnBody

	AddModule
	
	Body = RespawnBody AROKH_ModuleTag_RespawnBody
		CheerRadius					= EMOTION_CHEER_RADIUS
		MaxHealth					= 3200
		PermanentlyKilledByFilter			= NONE
		DodgePercent					= HERO_DODGE_PERCENT
	End

	End

End

Object ElvenElrond

	LocomotorSet
		Locomotor = IsildurHumanLocomotor
		Condition = SET_NORMAL 
		Speed     = 95
	End

	RemoveModule ModuleTag_RespawnBody

	AddModule 

	Body = RespawnBody AROKH_ModuleTag_RespawnBody
		CheerRadius 				= EMOTION_CHEER_RADIUS
		MaxHealth         			= 4200; balance
		PermanentlyKilledByFilter		= NONE
   		DodgePercent      			= HERO_DODGE_PERCENT
	End

	End
End

Object RohanLegolas
	
	LocomotorSet
		Locomotor = RohanLegolasLocomotor
		Condition = SET_NORMAL
		Speed     = 100
	End

	RemoveModule ModuleTag_RespawnBody

	AddModule 

	Body = RespawnBody AROKH_ModuleTag_RespawnBody
		CheerRadius 			= EMOTION_CHEER_RADIUS
		MaxHealth         		= 3600	;BALANCE Legola Health
		PermanentlyKilledByFilter	= NONE	;Who kills me permanently?
   		DodgePercent      		= HERO_DODGE_PERCENT
	End

	End
End

Object WildGoblinKing

	LocomotorSet
		Locomotor = GoblinKingLocomotor	//HeroHorseLocomotor
		Condition = SET_MOUNTED 
		Speed     = 140
	End

End

Object WildFireDrake

	LocomotorSet
		Locomotor = FiredrakeLocomotor
		Condition = SET_NORMAL
		Speed     = 140				; originally 120
	End

End

Object ElvenStatue
	RemoveModule TheHealEffect
End

Object ElvenBattleTower
	CommandSet = AROKHElvenWatchTowerCommandSet
End

Object WildMarauder

	LocomotorSet
		Locomotor     = HumanLocomotor
		Condition     = SET_NORMAL
		Speed         = 75		
	End

End
Object WildMarauderHorde
	LocomotorSet
		Locomotor     = NormalMeleeHordeLocomotor
		Condition     = SET_NORMAL
		Speed         = 80
	End
End

Object MordorBalrog
	ReplaceModule ModuleTag_LifetimeUpdate
		Behavior = LifetimeUpdate ModuleTag_LifetimeUpdate_Good_DolGuldur_Balrog
			MinLifetime		= 7200000
			MaxLifetime		= 7200000
		End   
	End  

  	LocomotorSet
    		Locomotor     = BalrogLocomotor
    		Condition     = SET_NORMAL
    		Speed         = 100
  	End

	RemoveModule ModuleTag_02

	AddModule 

	Body = ActiveBody AROKH_ModuleTag_02
	    MaxHealth         = 9000
	End

	End
End

Object MordorAttackTroll
	LocomotorSet
		Locomotor					= TrollLocomotor
		Condition					= SET_NORMAL
		Speed						= 80
	End
End